Page MenuHomePhabricator

[mips] Defer validity check for CPU/ABI pairs and improve error message for invalid cases.
ClosedPublic

Authored by dsanders on Jun 6 2016, 8:12 AM.

Details

Summary

The validity of ABI/CPU pairs is no longer checked on the fly but is
instead checked after initialization. As a result, invalid CPU/ABI pairs
can be reported as being known but invalid instead of being unknown. For
example, we now emit:

error: ABI 'n32' is not supported on CPU 'mips32r2'

instead of:

error: unknown target ABI 'n64'

Diff Detail

Event Timeline

dsanders updated this revision to Diff 59724.Jun 6 2016, 8:12 AM
dsanders retitled this revision from to [mips] Defer validity check for CPU/ABI pairs and improve error message for invalid cases..
dsanders updated this object.
dsanders added a reviewer: atanasyan.
dsanders added a subscriber: cfe-commits.
atanasyan accepted this revision.Jun 7 2016, 6:55 AM
atanasyan edited edge metadata.

LGTM

This revision is now accepted and ready to land.Jun 7 2016, 6:55 AM
dsanders closed this revision.Jun 14 2016, 2:05 AM